Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sauce::internal::DisposalDeleter< Iface, Disposal > Class Template Reference

A smart pointer deleter that diposes with the given disposal. More...

`#include <sauce/internal/disposal_deleter.h>`

## Public Member Functions
| DisposalDeleter (DisposalPtr disposal)
void | operator() (Iface *iface) const
| Cast and dispose the given Iface instance.

## Detailed Description

### template<typename Iface, typename Disposal>
class sauce::internal::DisposalDeleter< Iface, Disposal >

A smart pointer deleter that diposes with the given disposal.

The documentation for this class was generated from the following file:

- sauce/internal/disposal_deleter.h